Method: projects.locations.conversionWorkspaces.commit

Marks all the data in the conversion workspace as committed.

HTTP request


POST https://datamigration.googleapis.com/v1/{name}:commit

Path parameters

Parameters
name

string

Required. Name of the conversion workspace resource to commit.

Request body

The request body contains data with the following structure:

JSON representation
{
  "commitName": string
}
Fields
commitName

string

Optional. Optional name of the commit.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/cloud-datamigration

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • datamigration.conversionworkspaces.commit

For more information, see the IAM documentation.